| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::component_default_value Struct Reference

A Default value structure for components. More...

`#include <message.h>`

Collaboration diagram for dpp::component_default_value:
[legend]

## Public Attributes

dpp::snowflake | id
| Default value. ID of a user, role, or channel.
component_default_value_type | type
| The type this default value represents.

## Detailed Description

A Default value structure for components.

## Member Data Documentation

## ◆ id

dpp::snowflake dpp::component_default_value::id

Default value. ID of a user, role, or channel.

## ◆ type

component_default_value_type dpp::component_default_value::type

The type this default value represents.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0